> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a user to an org

> Add a new user to an Organization. Required permissions: `EditMembers`



## OpenAPI

````yaml /api-specs/cloud/public-api.json put /api/organizations/v1/organizations/{organizationId}/user
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/organizations/v1/organizations/{organizationId}/user:
    put:
      tags:
        - Users and organizations
      summary: Add a user to an org
      description: 'Add a new user to an Organization. Required permissions: `EditMembers`'
      operationId: addUserToOrg
      parameters:
        - description: >-
            Id of organization to add a user to. This is the id of the org in
            the users collection, not the organizations collection.
          in: path
          name: organizationId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationMemberV1'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    OrganizationMemberV1:
      properties:
        organizationRole:
          $ref: '#/components/schemas/OrganizationRoleV1'
        userId:
          description: Id of the user in the org.
          example: 6234c9542bc6731e3471ade8
          type: string
      required:
        - userId
        - organizationRole
      type: object
    OrganizationEnvelopeV1:
      properties:
        metadata:
          $ref: '#/components/schemas/MetadataV1'
        org:
          $ref: '#/components/schemas/OrganizationV1'
      required:
        - org
        - metadata
      type: object
    OrganizationRoleV1:
      description: Role of member in the organization.
      enum:
        - member
        - admin
      type: string
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    OrganizationV1:
      properties:
        defaultEnvironmentId:
          description: Id of the default environment used in the organization.
          example: 6231327c7a0af0281c01a65f
          type: string
        id:
          description: Organization identifier in the users collection.
          example: 623132867a0af0281c01a69c
          type: string
        members:
          description: List of the organization members.
          items:
            $ref: '#/components/schemas/OrganizationMemberV1'
          type: array
        name:
          description: Organization name.
          example: MyOrg
          type: string
      required:
        - id
        - name
        - members
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Create NetApp Volumes from Domino or a project](/cloud/platform-capabilities/core-concepts/data/netapp-volumes/create-netapp-volumes.md)
- [Remove a user from an org](/api-reference/users-and-organizations/remove-a-user-from-an-org.md)
- [Manage organizations](/cloud/platform-capabilities/features/collaboration/manage-organizations.md)
- [Grant a user or organization Model API access](/api-reference/model-apis/grant-a-user-or-organization-model-api-access.md)
